using System;
using System.ComponentModel;
using System.Collections.Generic;
using System.Diagnostics;
using System.Text;
using System.Drawing;
using System.Windows.Forms;
using Microsoft.HomeServer.Extensibility;

namespace Microsoft.HomeServer.HomeServerConsoleTab.$safeprojectname$
{
    internal class SampleControl : RichTextBox
    {
        public SampleControl(int width, int height)
        {
            RichTextBox rtDisplay = new RichTextBox();
            rtDisplay.BorderStyle = BorderStyle.FixedSingle;
            rtDisplay.SetBounds(0, 0, width, height);
            rtDisplay.Multiline = true;
            rtDisplay.ReadOnly = true;
            rtDisplay.Text = "Hier kann  man nun einige controls und oder text einfgen ";
            rtDisplay.Parent = this;
        }
    }
    public class HomeServerSettingsExtender : Microsoft.HomeServer.Extensibility.ISettingsTab
    {
        private SampleControl tabControl;
        private IConsoleServices services;
        public HomeServerSettingsExtender(int width, int height, IConsoleServices consoleServices)
        {
            tabControl = new SampleControl(width, height);
            this.services = consoleServices;
        }

        /// <summary>
        /// 
        /// </summary>
        public string TabText
        {
            get
            {
                return "Home Server Addin";
            }
        }

        /// <summary>
        /// 
        /// </summary>
        public Bitmap TabImage
        {
            get
            {
                return Microsoft.HomeServer.HomeServerConsoleTab.$safeprojectname$.Properties.Resources.HomeserverAddin;
            }
        }

        /// <summary>
        /// 
        /// </summary>
        public Control TabControl
        {
            get
            {
                return tabControl;
            }
        }

        /// <summary>
        /// 
        /// </summary>
        public bool GetHelp()
        {
            return false;
        }

        /// <summary>
        /// 
        /// </summary>
        public Guid SettingsGuid
        {
            get
            {
                return new Guid("{9A8E627C-0067-4dc0-B99B-FE988CE73E7A}");
            }
        }

        /// <summary>
        /// 
        /// </summary>        
        public bool Commit()
        {
            return false;
        }
    }
}
